GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Macros | Typedefs | Functions
httpcli.h File Reference
`#include <stddef.h>`
`#include <grpc/support/time.h>`
`#include "src/core/iomgr/pollset_set.h"`

Go to the source code of this file.

## Data Structures
struct | grpc_httpcli_header
struct | grpc_httpcli_context
struct | grpc_httpcli_request
struct | grpc_httpcli_response

## Macros
#define | GRPC_HTTPCLI_USER_AGENT "grpc-httpcli/0.0"
#define | GRPC_HTTPCLI_MAX_HEADER_LENGTH 4096

## Typedefs
typedef struct grpc_httpcli_header | grpc_httpcli_header
typedef struct grpc_httpcli_context | grpc_httpcli_context
typedef struct grpc_httpcli_request | grpc_httpcli_request
typedef struct grpc_httpcli_response | grpc_httpcli_response
typedef void(* | grpc_httpcli_response_cb )(void *user_data, const grpc_httpcli_response *response)
typedef int(* | grpc_httpcli_get_override )(const grpc_httpcli_request *request, gpr_timespec deadline, grpc_httpcli_response_cb on_response, void *user_data)
typedef int(* | grpc_httpcli_post_override )(const grpc_httpcli_request *request, const char *body_bytes, size_t body_size, gpr_timespec deadline, grpc_httpcli_response_cb on_response, void *user_data)

## Functions
void | grpc_httpcli_context_init (grpc_httpcli_context *context)
void | grpc_httpcli_context_destroy (grpc_httpcli_context *context)
void | grpc_httpcli_get (grpc_httpcli_context *context, grpc_pollset *pollset, const grpc_httpcli_request *request, gpr_timespec deadline, grpc_httpcli_response_cb on_response, void *user_data)
void | grpc_httpcli_post (grpc_httpcli_context *context, grpc_pollset *pollset, const grpc_httpcli_request *request, const char *body_bytes, size_t body_size, gpr_timespec deadline, grpc_httpcli_response_cb on_response, void *user_data)
void | grpc_httpcli_set_override (grpc_httpcli_get_override get, grpc_httpcli_post_override post)

## Macro Definition Documentation

#define GRPC_HTTPCLI_MAX_HEADER_LENGTH 4096

#define GRPC_HTTPCLI_USER_AGENT "grpc-httpcli/0.0"

## Typedef Documentation

typedef struct grpc_httpcli_context grpc_httpcli_context

typedef int(* grpc_httpcli_get_override)(const grpc_httpcli_request *request, gpr_timespec deadline, grpc_httpcli_response_cb on_response, void *user_data)

typedef struct grpc_httpcli_header grpc_httpcli_header

typedef int(* grpc_httpcli_post_override)(const grpc_httpcli_request *request, const char *body_bytes, size_t body_size, gpr_timespec deadline, grpc_httpcli_response_cb on_response, void *user_data)

typedef struct grpc_httpcli_request grpc_httpcli_request

typedef struct grpc_httpcli_response grpc_httpcli_response

typedef void(* grpc_httpcli_response_cb)(void *user_data, const grpc_httpcli_response *response)

## Function Documentation

void grpc_httpcli_context_destroy | ( | grpc_httpcli_context * | context | ) |

void grpc_httpcli_context_init | ( | grpc_httpcli_context * | context | ) |

void grpc_httpcli_get | ( | grpc_httpcli_context * | context,
|  | grpc_pollset * | pollset,
|  | const grpc_httpcli_request * | request,
|  | gpr_timespec | deadline,
|  | grpc_httpcli_response_cb | on_response,
|  | void * | user_data
| ) |  |

void grpc_httpcli_post | ( | grpc_httpcli_context * | context,
|  | grpc_pollset * | pollset,
|  | const grpc_httpcli_request * | request,
|  | const char * | body_bytes,
|  | size_t | body_size,
|  | gpr_timespec | deadline,
|  | grpc_httpcli_response_cb | on_response,
|  | void * | user_data
| ) |  |

void grpc_httpcli_set_override | ( | grpc_httpcli_get_override | get,
|  | grpc_httpcli_post_override | post
| ) |  |